%define	name	vnc2swf
%define	version	0.5.0
%define	release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL:		http://www.unixuser.org/~euske/vnc2swf/
Source:		http://www.unixuser.org/~euske/%{name}/%{name}-%{version}.tar.bz2
#		http://lists.kde.org/?l=kde-promo&m=104430062329339&q=raw
Source1:	vnc2swf-howto.txt
Summary:	Vnc2swf is a tool for recording VNC sessions to Shockwave Flash
BuildRequires:	X11-devel xpm-devel
Requires:	vnc
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description

Vnc2swf is a recording tool for VNC, a protocol to manipulate 
remote window systems via network, developed by AT&T Laboratories 
Cambridge. It records VNC sessions and generates a Macromedia 
Flash movie file (SWF). It can be used as an X11 recorder or a 
Windows desktop recorder.

For instructions on using it, see vnc2swf-howto.txt in the documentation
directory.

%prep
%setup -q 

%configure --prefix=%{_prefix}

%build
#touch vnc2swf.man
%make 

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
find $RPM_BUILD_ROOT/%{_prefix} -type f -exec mv {} $RPM_BUILD_ROOT/%{_bindir} \;

cp %{SOURCE1} .

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%doc README* LICENCE.TXT vnc2swf-howto.txt

%changelog
* Sun Jan 15 2006 Marcel Pol <mpol@mandriva.org> 0.5.0-2mdk
- remove claim from description about flash being a de facto standard

* Tue Dec 13 2005 Buchan Milne <bgmilne@mandriva.org> 0.5.0-1mdk
- New release 0.5.0
- drop patch0
- no longer buildrequires ming-devel

* Sat Jul 17 2004 Franck Villaume <fvill@freesurf.fr> 0.4.2-1mdk
- new version 0.4.2
- patch writeswf.c for ming 0.3

* Thu Feb 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.2-1mdk
- First mandrake package
- Some documentation from:
  http://lists.kde.org/?l=kde-promo&m=104430062329339&w=2
